Status

RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: clokep, Assigned: florian)

Tracking

Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [1.2-blocking], URL)

Attachments

(3 attachments)

(Reporter)

Description

5 years ago
*** Original post on bio 1390 at 2012-04-24 01:27:00 UTC ***

Firefox 12 is released tomorrow...we should update to Mozilla 12 once it's released.

I didn't see too much that's interesting...except being able to use the DOMParser to parse HTML. (And dropping proxy support, but that was fixed in bug 954777 (bio 1344).)

Famous last words: it looks like this won't be an awful update. :)
(Assignee)

Updated

5 years ago
Depends on: 954777
Whiteboard: [1.2-blocking]
(Assignee)

Comment 1

5 years ago
Created attachment 8353212 [details] [diff] [review]
Some changes already in Thunderbird

*** Original post on bio 1390 as attmnt 1459 at 2012-05-10 14:03:00 UTC ***

The changes in the attached patch are already in comm-central, but we can't take them until we are on Mozilla 12.
(Assignee)

Comment 2

5 years ago
Created attachment 8353309 [details] [diff] [review]
Update our set of patches

*** Original post on bio 1390 as attmnt 1554 at 2012-06-02 17:05:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
(Assignee)

Comment 3

5 years ago
Created attachment 8353310 [details] [diff] [review]
Patch I use for my debug builds

*** Original post on bio 1390 as attmnt 1555 at 2012-06-02 17:14:00 UTC ***

Not directly related to this bug, but I've just updated the patch I use for my debug builds so that it applies cleanly, so I wanted to save it somewhere (and let others see it).

This patch silences the most noisy messages that debug builds print in the terminal, and adds an environment variable to print all JS exception to the terminal regardless of whether they are caught or not.
(Reporter)

Comment 4

5 years ago
*** Original post on bio 1390 at 2012-06-03 04:59:09 UTC ***

Committed as http://hg.instantbird.org/instantbird/rev/86599b6abbeb

But the Mac nightly failed, so I'm not closing this yet.
Assignee: nobody → florian
Status: NEW → ASSIGNED
Target Milestone: --- → 1.2
(Reporter)

Comment 5

5 years ago
*** Original post on bio 1390 at 2012-06-03 13:24:04 UTC ***

Fixing the Mac nightly was just a mozconfig change to disable sps (http://hg.instantbird.org/instantbird/rev/96b272066780)

Marking this as resolved. Thanks flo!
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
(Reporter)

Updated

5 years ago
Depends on: 954971
You need to log in before you can comment on or make changes to this bug.